## showfsck 1.4ubuntu5

=== Makefile ===

all:

install:
	install -m 755 showfsck $(DESTDIR)/usr/sbin

## showfsck 1.3

=== debian/changelog ===
showfsck (1.3) unstable; urgency=low

  * dump to current debian standard

 -- Vincent Danjean <Vincent.Danjean@ens-lyon.org>  Fri, 21 Jan 2005 16:23:17 +0100

showfsck (1.2) unstable; urgency=low

  * Look for partitions in /proc/mounts instead of mount commands
  * Specific message for fsck at next reboot

 -- Vincent Danjean <Vincent.Danjean@ens-lyon.org>  Fri,  9 Jul 2004 14:01:14 +0200

showfsck (1.1) unstable; urgency=low

  * Correct number of reboot before fsck (+1)

 -- Vincent Danjean <Vincent.Danjean@ens-lyon.org>  Wed,  3 Dec 2003 11:24:49 +0100

showfsck (1.0) unstable; urgency=low

  * Initial release.

 -- Vincent Danjean <Vincent.Danjean@ens-lyon.org>  Sun, 23 Nov 2003 19:02:50 +0100

=== debian/control ===
Source: showfsck
Section: utils
Priority: optional
Maintainer: Vincent Danjean <Vincent.Danjean@ens-lyon.org>
Standards-Version: 3.6.1
Build-Depends-Indep: cdbs (>= 0.4.23-1.1), debhelper (>= 4.1.0)

Package: showfsck
Architecture: all
Depends: ${shlibs:Depends}
Description: show the number of reboots before next forced fsck
 This package displays during startup and halt the number of mounts for each
 ext2/3 partition before an fsck will be forced, so that the user will not be
 suprised.
 .
 Very useful for people that often reboot (laptop users for example)

=== debian/rules ===
#!/usr/bin/make -f

# Let cdbs track the build-dep for me
debian/control:: debian/control.in debian/rules
DEB_AUTO_UPDATE_DEBIAN_CONTROL = yes

# debhelper fisrt as recommended
include /usr/share/cdbs/1/rules/debhelper.mk
include /usr/share/cdbs/1/class/makefile.mk

DEB_MAKE_INSTALL_TARGET:=install DESTDIR=$(DEB_DESTDIR)
DEB_UPDATE_RCD_PARAMS:="defaults 95"

## showfsck 1.4ubuntu2

=== debian/changelog ===
showfsck (1.4ubuntu2) hardy; urgency=low

  [ David Futcher ]
  * Made script shell-agnostic (LP: #188070)
  * showfsck: Fixed grammar error in error message
  * Fixed debian/copyright

  [ Daniel Hahler ]
  * debian/control: fix lintian warning/errors:
    - Standards-Version 3.7.3
    - Move cdbs, debhelper from Build-Depends-Indep to Build-Depends

 -- Daniel Hahler <ubuntu@thequod.de>  Sat, 09 Feb 2008 19:00:00 +0100

showfsck (1.4ubuntu1) hardy; urgency=low

  * Merge with showfsck-1.4 upstream (LP: #181775)
  * Bump Debian standards version

 -- David Futcher <bobbocanfly@gmail.com>  Thu, 10 Jan 2008 15:38:40 +0000

showfsck (1.3ubuntu1) hardy; urgency=low

  * Fixed man page (LP: #66174)
  * showfsck: Fixed spelling/grammar in error message
  * Edited maintainer field to conform with DebianMaintainerField specification

 -- David Futcher <bobbocanfly@gmail.com>  Sat, 08 Dec 2007 20:33:16 +0000

=== debian/control ===
--- 
+++ 
@@ -1,9 +1,10 @@
 Source: showfsck
 Section: utils
 Priority: optional
-Maintainer: Vincent Danjean <Vincent.Danjean@ens-lyon.org>
-Standards-Version: 3.6.1
-Build-Depends-Indep: cdbs (>= 0.4.23-1.1), debhelper (>= 4.1.0)
+Maintainer: Ubuntu MOTU Developers <ubuntu-motu@lists.ubuntu.com> 
+XSBC-Original-Maintainer: Vincent Danjean <Vincent.Danjean@ens-lyon.org>
+Standards-Version: 3.7.3
+Build-Depends: cdbs (>= 0.4.23-1.1), debhelper (>= 4.2.0)
 
 Package: showfsck
 Architecture: all

=== debian/rules ===
--- 
+++ 
@@ -1,8 +1,8 @@
 #!/usr/bin/make -f
 
 # Let cdbs track the build-dep for me
-debian/control:: debian/control.in debian/rules
-DEB_AUTO_UPDATE_DEBIAN_CONTROL = yes
+#debian/control:: debian/control.in debian/rules
+#DEB_AUTO_UPDATE_DEBIAN_CONTROL = yes
 
 # debhelper fisrt as recommended
 include /usr/share/cdbs/1/rules/debhelper.mk

## showfsck 1.4ubuntu3

=== debian/changelog ===
showfsck (1.4ubuntu3) intrepid; urgency=low

  * Remove unneeded files /b and /c (debug files generated by the script) (LP: #194391)

 -- David Futcher <bobbocanfly@gmail.com>  Sat, 19 Jul 2008 11:19:32 +0100

## showfsck 1.4ubuntu4

=== debian/changelog ===
showfsck (1.4ubuntu4) karmic; urgency=low

  * showfsck: Update to show information on ext4 partitions (LP: #361619)
  * Bump debian standards version to 3.8.0

 -- David Futcher <bobbo@ubuntu.com>  Wed, 15 Apr 2009 12:43:29 +0100

=== debian/control ===
--- 
+++ 
@@ -3,7 +3,7 @@
 Priority: optional
 Maintainer: Ubuntu MOTU Developers <ubuntu-motu@lists.ubuntu.com> 
 XSBC-Original-Maintainer: Vincent Danjean <Vincent.Danjean@ens-lyon.org>
-Standards-Version: 3.7.3
+Standards-Version: 3.8.0
 Build-Depends: cdbs (>= 0.4.23-1.1), debhelper (>= 4.2.0)
 
 Package: showfsck

## showfsck 1.4ubuntu5

=== debian/changelog ===
showfsck (1.4ubuntu5) focal; urgency=medium

  * Modernize packaging (fixing FTBFS due to old compat level).
  * Remove usage of cdbs; use dh with debhelper compat version of 12.
  * Indicate 3.0 (native) source format.
  * Remove dependency on ${shlibs:Depends}; add pre-dependency on
    ${misc:Pre-Depends}.

 -- Logan Rosen <logan@ubuntu.com>  Sun, 15 Mar 2020 21:28:21 -0400

=== debian/control ===
Source: showfsck
Section: utils
Priority: optional
Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
XSBC-Original-Maintainer: Vincent Danjean <Vincent.Danjean@ens-lyon.org>
Standards-Version: 4.5.0
Build-Depends: debhelper-compat (= 12)

Package: showfsck
Architecture: all
Pre-Depends: ${misc:Pre-Depends}
Depends: ${misc:Depends}
Description: show the number of reboots before next forced fsck
 This package displays during startup and halt the number of mounts for each
 ext2/3 partition before an fsck will be forced, so that the user will not be
 suprised.
 .
 Very useful for people that often reboot (laptop users for example)

=== debian/rules ===
#!/usr/bin/make -f
%:
	dh $@

override_dh_installinit:
	dh_installinit --update-rcd-params="defaults 95"

## showfsck 1.4ubuntu6

=== debian/changelog ===
showfsck (1.4ubuntu6) resolute; urgency=medium

  * No-change mass rebuild for Ubuntu 26.04 (LP: #2132257)

 -- Graham Inggs <ginggs@ubuntu.com>  Mon, 24 Nov 2025 18:23:27 +0000
